Create chat session
Chat
Create chat session
Create a new chat session with server-managed conversation history
POST
Create chat session
Authorizations
Bearer token authentication. Supports two token types:
- JWT Access Token — obtained via
POST /v1/auth/login - Personal Access Token (PAT) — created via
POST /v1/api-tokens, format:cmnd_<tokenId>.<secret>
Body
application/json
Model ID to use for this session
Example:
"gpt-4o-mini"
Optional name for the session
Example:
"Q&A about Product Docs"
Optional knowledge base IDs to attach to the session
Example:
["kb_abc123", "kb_def456"]Sampling temperature
Required range:
0 <= x <= 2Optional system message for the session
Example:
"You are a helpful assistant."
Response
Session created successfully
Example:
"session_xyz789"
Example:
"chat.session"
Example:
"Q&A about Product Docs"
Example:
"gpt-4o-mini"
Unix timestamp
Example:
1699564800
Unix timestamp
Example:
1699564900
Example:
10

